Updates a permission for a project role.

POSThttps://api.awork.com/api/v1/projectroles/{projectRoleId}/permissions
POST https://api.awork.com/api/v1/projectroles/{projectRoleId}/permissions

Creates, updates, or removes the submitted permission for the specified project role. AI role permissions require an eligible workspace plan.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectRoleIdstringRequired
format: uuid

The id of the project role.

Request body Required

The model to create or update the project role permission.

application/json

featurestring or nullOptional

The feature these permissions belong to.

accessLevelsarray of string or nullOptional

The access levels applied to this feature.

Responses

200 OK

application/json

featurestring or nullOptional

The feature these permissions belong to.

accessLevelsarray of string or nullOptional

The access levels applied to this feature.

idstringOptional
format: uuid

The id of the permission.

createdOnstringOptional
format: date-time

The date this entity was created.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation